Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] 00-disfile.sh: allow bsdtar for zip and 7z archives
@ 2020-01-19 19:08 voidlinux-github
  2020-01-19 19:09 ` [PR PATCH] [Updated] " voidlinux-github
  2020-01-24 13:53 ` [PR PATCH] [Merged]: 00-distfiles.sh: " voidlinux-github
  0 siblings, 2 replies; 3+ messages in thread
From: voidlinux-github @ 2020-01-19 19:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 344 bytes --]

There is a new pull request by mobinmob against master on the void-packages repository

https://github.com/mobinmob/void-packages bsdtar.zip.7z
https://github.com/void-linux/void-packages/pull/18399

00-disfile.sh: allow bsdtar for zip and 7z archives


A patch file from https://github.com/void-linux/void-packages/pull/18399.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-bsdtar.zip.7z-18399.patch --]
[-- Type: text/x-diff, Size: 1562 bytes --]

From 3334ace2e638ae355e51a7060e4f4bc6d96fe19f Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 19 Jan 2020 21:06:55 +0200
Subject: [PATCH] 00-disfile.sh: allow bsdtar for zip and 7z archives

---
 common/hooks/do-extract/00-distfiles.sh | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/common/hooks/do-extract/00-distfiles.sh b/common/hooks/do-extract/00-distfiles.sh
index 6463274c6dd..c6bfe25fbfa 100644
--- a/common/hooks/do-extract/00-distfiles.sh
+++ b/common/hooks/do-extract/00-distfiles.sh
@@ -98,8 +98,13 @@ hook() {
 				if [ $? -ne 0 ]; then
 					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
 				fi
+			elif command -v bsdtar &>/dev/null; then
+				bsdtar -xf $srcdir/$curfile -C $extractdir
+				if [ $? -ne 0 ]; then
+					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
+				fi
 			else
-				msg_error "$pkgver: cannot find unzip bin for extraction.\n"
+				msg_error "$pkgver: cannot find unzip or bsdtar bin for extraction.\n"
 			fi
 			;;
 		rpm)
@@ -122,8 +127,13 @@ hook() {
 				if [ $? -ne 0 ]; then
 					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
 				fi
+			elif command -v bsdtar &>/dev/null; then
+				bsdtar -xf $srcdir/$curfile -C $extractdir
+				if [ $? -ne 0 ]; then
+					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
+				fi
 			else
-				msg_error "$pkgver: cannot find 7z bin for extraction.\n"
+				msg_error "$pkgver: cannot find 7z or bsdtar bin for extraction.\n"
 			fi
 			;;
 		gem)

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Updated] 00-disfile.sh: allow bsdtar for zip and 7z archives
  2020-01-19 19:08 [PR PATCH] 00-disfile.sh: allow bsdtar for zip and 7z archives voidlinux-github
@ 2020-01-19 19:09 ` voidlinux-github
  2020-01-24 13:53 ` [PR PATCH] [Merged]: 00-distfiles.sh: " voidlinux-github
  1 sibling, 0 replies; 3+ messages in thread
From: voidlinux-github @ 2020-01-19 19:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 349 bytes --]

There is an updated pull request by mobinmob against master on the void-packages repository

https://github.com/mobinmob/void-packages bsdtar.zip.7z
https://github.com/void-linux/void-packages/pull/18399

00-disfile.sh: allow bsdtar for zip and 7z archives


A patch file from https://github.com/void-linux/void-packages/pull/18399.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-bsdtar.zip.7z-18399.patch --]
[-- Type: text/x-diff, Size: 1564 bytes --]

From f022819dfc376235556c12d389896839db927aa3 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 19 Jan 2020 21:06:55 +0200
Subject: [PATCH] 00-distfiles.sh: allow bsdtar for zip and 7z archives

---
 common/hooks/do-extract/00-distfiles.sh | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/common/hooks/do-extract/00-distfiles.sh b/common/hooks/do-extract/00-distfiles.sh
index 6463274c6dd..c6bfe25fbfa 100644
--- a/common/hooks/do-extract/00-distfiles.sh
+++ b/common/hooks/do-extract/00-distfiles.sh
@@ -98,8 +98,13 @@ hook() {
 				if [ $? -ne 0 ]; then
 					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
 				fi
+			elif command -v bsdtar &>/dev/null; then
+				bsdtar -xf $srcdir/$curfile -C $extractdir
+				if [ $? -ne 0 ]; then
+					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
+				fi
 			else
-				msg_error "$pkgver: cannot find unzip bin for extraction.\n"
+				msg_error "$pkgver: cannot find unzip or bsdtar bin for extraction.\n"
 			fi
 			;;
 		rpm)
@@ -122,8 +127,13 @@ hook() {
 				if [ $? -ne 0 ]; then
 					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
 				fi
+			elif command -v bsdtar &>/dev/null; then
+				bsdtar -xf $srcdir/$curfile -C $extractdir
+				if [ $? -ne 0 ]; then
+					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
+				fi
 			else
-				msg_error "$pkgver: cannot find 7z bin for extraction.\n"
+				msg_error "$pkgver: cannot find 7z or bsdtar bin for extraction.\n"
 			fi
 			;;
 		gem)

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Merged]: 00-distfiles.sh: allow bsdtar for zip and 7z archives
  2020-01-19 19:08 [PR PATCH] 00-disfile.sh: allow bsdtar for zip and 7z archives voidlinux-github
  2020-01-19 19:09 ` [PR PATCH] [Updated] " voidlinux-github
@ 2020-01-24 13:53 ` voidlinux-github
  1 sibling, 0 replies; 3+ messages in thread
From: voidlinux-github @ 2020-01-24 13:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 187 bytes --]

There's a merged pull request on the void-packages repository

00-distfiles.sh: allow bsdtar for zip and 7z archives
https://github.com/void-linux/void-packages/pull/18399

Description:


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2020-01-24 13:53 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-01-19 19:08 [PR PATCH] 00-disfile.sh: allow bsdtar for zip and 7z archives voidlinux-github
2020-01-19 19:09 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-24 13:53 ` [PR PATCH] [Merged]: 00-distfiles.sh: " voidlinux-github

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).